apt 3.1.11 commandline package manager

Classes | Public Member Functions | Friends | List of all members
pkgCache::DepIterator Class Reference
Inheritance diagram for pkgCache::DepIterator:

## Classes
struct | DependencyProxy

## Public Member Functions
Dependency * | OwnerPointer () const
DepIterator & | operator++ ()
DepIterator | operator++ (int)
const char * | TargetVer () const
PkgIterator | TargetPkg () const
PkgIterator | SmartTargetPkg () const
VerIterator | ParentVer () const
PkgIterator | ParentPkg () const
bool | Reverse () const
bool | IsCritical () const APT_PURE
bool | IsNegative () const APT_PURE
bool | IsIgnorable (PrvIterator const &Prv) const APT_PURE
bool | IsIgnorable (PkgIterator const &Pkg) const APT_PURE
bool | IsMultiArchImplicit () const APT_PURE
bool | IsImplicit () const APT_PURE
bool | IsSatisfied (PkgIterator const &Pkg) const APT_PURE
bool | IsSatisfied (VerIterator const &Ver) const APT_PURE
bool | IsSatisfied (PrvIterator const &Prv) const APT_PURE
void | GlobOr (DepIterator &Start, DepIterator &End)
Version ** | AllTargets () const
bool | SmartTargetPkg (PkgIterator &Result) const
const char * | CompType () const
const char * | DepType () const
DependencyProxy | operator-> () const
DependencyProxy | operator-> ()
void | ReMap (void const *const oldMap, void *const newMap)
| DepIterator (pkgCache &Owner, Dependency *Trg, Version *=0)
| DepIterator (pkgCache &Owner, Dependency *Trg, Package *)
Public Member Functions inherited from pkgCache::Iterator< Dependency, DepIterator >
bool | end () const
bool | operator== (const DepIterator &B) const
bool | operator!= (const DepIterator &B) const
Dependency * | operator-> ()
| operator Dependency * ()
| operator Dependency const * () const
Dependency & | operator* ()
pkgCache * | Cache () const
bool | IsGood () const
unsigned long | Index () const
map_pointer< Dependency > | MapPointer () const
void | ReMap (void const *const oldMap, void *const newMap)

## Friends
std::ostream & | operator<< (std::ostream &out, pkgCache::DepIterator D)

## Additional Inherited Members
Public Types inherited from pkgCache::Iterator< Dependency, DepIterator >
using | iterator_category
using | value_type
using | difference_type
using | pointer
using | reference
Protected Attributes inherited from pkgCache::Iterator< Dependency, DepIterator >
Dependency * | S
pkgCache * | Owner

The documentation for this class was generated from the following files:

- apt-pkg/cacheiterators.h
- apt-pkg/pkgcache.cc